## salasaga 0.8.0~alpha7

=== key_capture/Makefile ===
CFLAGS =	-DBUILD_DLL -O2 -g -Wall -fmessage-length=0

LIBS =

TARGET =	salasaga_keycapture.dll

$(TARGET):
	$(CC) $(CFLAGS) -shared -o $(TARGET) -c salasaga_keycapture.c $(LIBS)

all:	$(TARGET)

clean:
	rm -f $(TARGET)

=== debian/changelog ===
salasaga (0.8.0~alpha7-2) unstable; urgency=low

  * debian/control:
    - Fix 'binary-control-field-duplicates-source field "section" in 
      package salasaga-common' lintian I.
  * debian/changelog:
    - Fix 'debian-changelog-line-too-long'
  * Install ide/ttf/*.  Closes: #573958.  LP: #649080.
  * Switch to 3.0 format.
  * Add 0001-Add-compatibility-with-libnotify-0.7.patch in order to fix build
    failure with libnotify 0.7.
    - Thanks to Jérémy Bobbio <lunar@debian.org> for the patch.
    - Closes: #630299.
  * Orphaning.
  * Bump Standards-Version to 3.9.2.

 -- Iulian Udrea <iulian@ubuntu.com>  Wed, 27 Jul 2011 11:20:23 +0000

salasaga (0.8.0~alpha7-1) unstable; urgency=low

  * New upstream version.
    + Added support for Undo/Redo.  Presently keep a history of 
      unlimited length.
    + Fixed a significant crashing bug which was likely present for 
      some time.
    + Several small bugs.
    + Bugs fixed:
      - LP: #246774 Layer transition info not being kept
      - LP: #301070 OK and Cancel need to be switched about
      - LP: #301072 Option to scale project to screenshot size
      - LP: #315731 Crash/image distortion on changing the zoom level
      - LP: #361019 no icons for all windows of salasaga
      - LP: #480491 Some characters not being displayed correctly in the
        working area
      - LP: #492388 Cannot edit new text
      - LP: #493312 Cannot use keyboard to delete layer
  * Update debian/copyright.
  * debian/control:
    - Bump Standards-Version to 3.8.4 (no changes required).
    - Add ${misc:Depends} to salasaga.
    - Remove dpatch from Build-Depends (not needed anymore).
    - Update build dependencies.
  * debian/rules:
    - Remove deprecated dh_desktop. It no longer does nothing.
  * debian/patches:
    - Remove 01_salasaga-desktop.dpatch.
    - Remove 02_create_cairo_pixbuf_pattern.dpatch

 -- Iulian Udrea <iulian@ubuntu.com>  Sun, 03 Jan 2010 10:53:55 +0000

salasaga (0.8.0~alpha5-3) unstable; urgency=low

  * Get rid of circular dependency between salasaga and salasaga-common
    (Closes: #519145)
    debian/control:
    - don't make salasaga-common depend on salasaga

 -- Iulian Udrea <iulian@ubuntu.com>  Tue, 10 Mar 2009 18:28:14 +0000

salasaga (0.8.0~alpha5-2) unstable; urgency=low

  * Fix FTBFS on SPARC and PowerPC (Closes: #515582, #515583).

 -- Iulian Udrea <iulian@ubuntu.com>  Wed, 18 Feb 2009 19:22:21 +0000

salasaga (0.8.0~alpha5-1) unstable; urgency=low

  * New upstream version.
    + bug fix release (Closes LP: #249182, #315731, #246786, #301067)
    + the mouse cursor that was used in the IDE and exported swf has been
    replaced with one contributed by Anton Kerezov (LP: #315733)
    + add translations:
      - Filipino:             100.0% complete, by Kezia Lounel Badulid
      - Greek:                100.0% complete, by Yannis Kaskamanidis
      - Bulgarian:            41.14% complete, by Anton Kerezov (Dilomo)
      - Galician:             24.53% complete
      - Spanish:              22.78% complete
      - Romanian:             21.04% complete
      - Simplified Chinese:    4.75% complete
      - Catalan:               2.22% complete
      - Brazilian Portuguese:  2.06% complete

 -- Iulian Udrea <iulian@ubuntu.com>  Sat, 14 Feb 2009 10:30:23 +0000

salasaga (0.8.0~alpha4-2) unstable; urgency=low

  * debian/copyright:
    - switch to new format (http://wiki.debian.org/Proposals/CopyrightFormat)
  * debian/control:
    - add Vcs-{Git,Browser} fields
    - move salasaga-common from Recommends to Depends
  * debian/rules:
    - debhelper 7 deprecated dh_clean -k in favour of dh_prep
    - merge rm -f with dh_clean

 -- Iulian Udrea <iulian@ubuntu.com>  Fri, 13 Feb 2009 18:45:19 +0000

salasaga (0.8.0~alpha4-1) unstable; urgency=low

  * New upstream version.
  * New icon.
  * debian/control:
    - Bump debhelper version to 7
  * debian/copyright:
    - key_capture is now under the LGPL either version 3 of the license,
    or (at your option) any later version.
    - Add some copyright holders.
  * debian/rules:
    - Add ./autogen.sh to the build target.
    - Fix it to not run autogen and configure multiple times.
  * debian/salasaga-common.install:
    - Add font_outline directory.
  * debian/patches:
    - Fix desktop file patch (01_salasaga-desktop.dpatch).

 -- Iulian Udrea <iulian@ubuntu.com>  Fri, 19 Sep 2008 14:25:27 +0100

salasaga (0.8.0~alpha3-1) unstable; urgency=low

  * Initial release (Closes: #489852)

 -- Iulian Udrea <iulian@ubuntu.com>  Sat, 05 Jul 2008 16:12:19 +0100

=== debian/control ===
Source: salasaga
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), automake, autoconf, libtool, libgtk2.0-dev (>= 2.16.1), libglib2.0-dev (>= 2.16.3), libgnome2-dev, libgconf2-dev, libpango1.0-dev (>= 1.18.0), libxml2-dev (>= 2.6.31), libming-dev (>= 0.3.0), libfreetype6-dev, libnotify-dev
Standards-Version: 3.9.2
Homepage: http://www.salasaga.org/
Vcs-Git: git://git.debian.org/collab-maint/salasaga.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/salasaga.git

Package: salasaga
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, salasaga-common, ttf-dejavu
Description: IDE for development of eLearning applications
 Salasaga is a GTK/Gnome based IDE used to create eLearning for
 applications. With it, you take screenshots of your applications, 
 add highlights, text and external images, then generate learning 
 objects. Present output is in swf (flash) format.

Package: salasaga-common
Architecture: all
Depends: ${misc:Depends}
Description: IDE for development of eLearning applications (support files)
 Salasaga is a GTK/Gnome based IDE used to create eLearning for
 applications. With it, you take screenshots of your applications,
 add highlights, text and external images, then generate learning
 objects. Present output is in swf (flash) format.
 .
 This package contains salasaga's architecture-independent support files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#include /usr/share/dpatch/dpatch.make

configure: configure-stamp
configure-stamp: 
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	./autogen.sh && ./configure --prefix=/usr && $(MAKE)
	pod2man --section=1 --release="" --center "" debian/salasaga.pod > debian/salasaga.1
	pod2man --section=1 --release="" --center "" debian/salasaga_screencapture.pod > debian/salasaga_screencapture.1
	touch $@

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean build-stamp configure-stamp debian/salasaga.1 debian/salasaga_screencapture.1

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	mv debian/tmp/usr/share/pixmaps/salasaga-icon.png debian/tmp/usr/share/pixmaps/salasaga.png

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs 
	dh_installdocs
	dh_installman
	dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
opts=dversionmangle=s/~/./ \
  http://sf.net/salasaga/salasaga-([0-9]+\.[02468]+\.[a-z0-9\.]+).tar.bz2
